Module java.compiler
Package javax.lang.model.type

# Interface ReferenceType

All Superinterfaces:
  `AnnotatedConstruct`, `TypeMirror`

All Known Subinterfaces:
  `ArrayType`, `DeclaredType`, `ErrorType`, `NullType`, `TypeVariable`

public interface ReferenceType extends TypeMirror
Represents a reference type. These include class and interface types, array types, type variables, and the null type.

See Java Language Specification:
  4.3 Reference Types and Values
Since:
  1.6

## Method Summary

### Methods declared in interface javax.lang.model.type.TypeMirror

`accept, equals, getAnnotation, getAnnotationMirrors, getAnnotationsByType, getKind, hashCode, toString`